@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$item-comments__bar-container--margin-left: $container-spacing-default__third;

$item-comments__bar-icon--bg-image: url('images/icon_comments.svg');
$item-comments__bar-icon--bg: $item-comments__bar-icon--bg-image center no-repeat;
$item-comments__bar-icon--size: 21px;
$item-comments__bar-icon--margin: floor($item-comments__bar-icon--size/2) * -1;
$item-comments__bar-bottom-button--size: $globals__toolbar--height;

$item-comments__bar-comment-counter--color: $black;
$item-comments__bar-comment-counter--cursor: pointer;
$item-comments__bar-comment-counter--font-size: 8px;
$item-comments__bar-comment-counter--bg: $white;

$item-comments__bar-comment-counter--min-width: 12px;
$item-comments__bar-comment-counter--height: 12px;
$item-comments__bar-comment-counter--border-radius: ceil($item-comments__bar-comment-counter--height / 2);
$item-comments__bar-comment-counter--padding: 0 2px;

$item-comments__bar-comment-counter--top: floor($item-comments__bar-comment-counter--font-size/3) * -1;
$item-comments__bar-comment-counter--left: $item-comments__bar-icon--size - floor($item-comments__bar-comment-counter--min-width/2);
$item-comments__bar-bottom-comment-counter--top: floor($item-comments__bar-bottom-button--size/2) - floor($item-comments__bar-icon--size/2) - floor($item-comments__bar-comment-counter--font-size/3);
$item-comments__bar-bottom-comment-counter--left: $item-comments__bar-icon--size - floor($item-comments__bar-comment-counter--min-width/2) + (floor($item-comments__bar-bottom-button--size/2) - floor($item-comments__bar-icon--size/2));

$item-comments__popup--max-width: 360px;
$item-comments__bar-bottom-popup--bottom: $item-comments__bar-bottom-button--size;


$item-comments__list--max-height: 480px;
$item-comments__list--overflow: auto;

$item-comments__comment-list--border: $boxes--border__thin solid $grey__light--1100;
$item-comments__one-comment--padding: 20px $container-spacing-default__half;

$item-comments__comment-header--margin-bottom: 0 0 $container-spacing-default__third;

$item-comments__comment-author--padding-right: $container-spacing-default__third;
$item-comments__comment-date-approx--width: 144px;
$item-comments__comment-author--max-width: $item-comments__popup--max-width - 2* (nth($item-comments__one-comment--padding, 2)) - $item-comments__comment-date-approx--width;
$item-comments__comment-author--font-weight: $font-weight-bold;

$item-comments__comment-date--color: $blue__greyish--400;

$item-comments__comment-empty--padding: 20px;
$item-comments__comment--margin-bottom: $container-spacing-default__third;

$item-comments__default-button--font-size: $font-size__semi-base;
$item-comments__default-button--color: $blue__greyish--400;
$item-comments__default-button-primary--color: darken($blue__default--100, 11%);
$item-comments__default-button-hover--color: $blue__default--100;

$item-comments__default-button--height: $globals__toolbar--height;
$item-comments__default-button--margin: $container-spacing-default__third 0;


$item-comments__add-comment-section--padding: 20px $container-spacing-default__half $container-spacing-default__half;
$item-comments__add-comment-section-textbox--margin-bottom:  $item-comments__comment--margin-bottom;
$item-comments__add-comment-section-textbox--max-height: 200px;